Namespace
library
Image / Tag
docker:19.03.13-beta2-dind
Content Digest
sha256:f3056b5eb11aa6f0dadb42510f681089dfec13c18e0032a91e67f5c50541ce93
Details
Created

2020-08-05 09:39:28 UTC

Size

68.7 MB

Content Digest
Environment
DIND_COMMIT

ed89041433a031cafc0a0f19cfe573c31688d377

DOCKER_CHANNEL

test

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

19.03.13-beta2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df20fa9351a15782c64e6dddb2d4a6f50bf6d3688060a34c4014b0d9a752eb4c - 3.89% (2.67 MB)

[#001] sha256:25ad7478873d1d5c57089f038747520fe46aa4e913cc6cf29273b3722ec45e53 - 2.83% (1.95 MB)

[#002] sha256:4684f6177b5d290b3aa892c1dc44088aa89f9ea08a68f6ed98262c032aa2caa4 - 0.0% (154 Bytes)

[#003] sha256:6a7bc71302bb3ebb9b3da0925e5ab1f73f6cc11fb9c101b6027d47a5722a22a1 - 84.99% (58.4 MB)

[#004] sha256:ffa883581c86da5877bd7c769cdf72741f06fb34eda145a1aed7f13115d18256 - 0.0% (547 Bytes)

[#005] sha256:c63137de011e0f62d4e549a758f4a17f246031b2db6cd234c6b8ebf8f7396a3e - 0.0% (1020 Bytes)

[#006] sha256:963dfd0472c960bf328adc5d2f49540817dcf48d78e4d5b123dda32dd9ca5127 - 0.0% (117 Bytes)

[#007] sha256:06f4d368cf7c8374d6a272f33a5f6f21114ef9c5a3bda21997444d988eb8b190 - 8.28% (5.68 MB)

[#008] sha256:88924d48d2dfed02b2c06ac23188876f2bc4a3957bd7a14dea4489367495b4b8 - 0.0% (1.25 KB)

[#009] sha256:e2fccac7c8b32297091397a438129eac83b120a70dfc222cb44b639c486b6d68 - 0.0% (933 Bytes)

[#010] sha256:d607daba1a35c6ffa9370321d88e3760d877b8794e2cea6272670c0f22577418 - 0.0% (2.45 KB)


History
2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) ADD file:c92c248239f8c7b9b3c067650954815f391b7bcb09023f984972c082ace2a8d0 in /

2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-06-02 21:22:37 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2020-06-02 21:22:38 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2020-07-31 18:19:34 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2020-08-05 09:39:11 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.13-beta2

2020-08-05 09:39:17 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2020-08-05 09:39:17 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2020-08-05 09:39:17 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2020-08-05 09:39:17 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2020-08-05 09:39:18 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2020-08-05 09:39:18 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-05 09:39:18 UTC

/bin/sh -c #(nop) CMD ["sh"]

2020-08-05 09:39:25 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2020-08-05 09:39:26 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2020-08-05 09:39:26 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377

2020-08-05 09:39:27 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2020-08-05 09:39:27 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2020-08-05 09:39:28 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2020-08-05 09:39:28 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2020-08-05 09:39:28 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2020-08-05 09:39:28 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2020-08-05 09:47:07 UTC

Size

62.2 MB

Content Digest
Environment
DIND_COMMIT

ed89041433a031cafc0a0f19cfe573c31688d377

DOCKER_CHANNEL

test

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

19.03.13-beta2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b538f80385f9b48122e3da068c932a96ea5018afa3c7be79da00437414bd18cd - 4.15% (2.58 MB)

[#001] sha256:259a493cd78d717670cae749d341763ca75da1be75567e3a6ee027987eb59da3 - 3.16% (1.97 MB)

[#002] sha256:b8e66b5100f59240fbac025e31dd2d7b37cb74f3ab801eceef475a9381127511 - 0.0% (154 Bytes)

[#003] sha256:906b05e556991727f8cfb46d6775732b4d918182ae162d026e98b04d8ec0f564 - 83.55% (51.9 MB)

[#004] sha256:75e3890784a3e7e52249cf322311f6de7dd51dfcca97e9ecef9592ef85a964ef - 0.0% (546 Bytes)

[#005] sha256:2c3e0b5048b8dee96647dca6481939915da3b60e30cc97b18f39f2fbcdfd6aa2 - 0.0% (1020 Bytes)

[#006] sha256:33a0445c646ce53012d74b3fe794faa397276e615a9b19fea94860a6ff7126ff - 0.0% (150 Bytes)

[#007] sha256:6a98ab4857d74c4b2963de1ca3731b682c8cbe7ca80a0277cca6c01cc3ac1888 - 9.12% (5.67 MB)

[#008] sha256:1f2d26e4819386ef2b82f8c3003ebc5e5171160a548ce7113c498ae206a37489 - 0.0% (1.28 KB)

[#009] sha256:746ca456736d1d77de1068c81f0d286b972d30c1ffcfb29bde38adc9105ddc37 - 0.0% (934 Bytes)

[#010] sha256:ed5ebb1a86569a4e2cf9fd9678fe51b90ffd75e3ba96be924f93cf306365fb1b - 0.0% (2.46 KB)


History
2020-05-29 21:43:19 UTC

/bin/sh -c #(nop) ADD file:7574aee4e37a85460ab889212d52912723a9b30dda1c060548f0deb4a05fc398 in /

2020-05-29 21:43:20 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-06-02 21:43:17 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2020-06-02 21:43:19 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2020-07-31 17:39:45 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2020-08-05 09:46:01 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.13-beta2

2020-08-05 09:46:24 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2020-08-05 09:46:27 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2020-08-05 09:46:29 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2020-08-05 09:46:30 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2020-08-05 09:46:33 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2020-08-05 09:46:34 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-05 09:46:34 UTC

/bin/sh -c #(nop) CMD ["sh"]

2020-08-05 09:46:59 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2020-08-05 09:47:01 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2020-08-05 09:47:02 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=ed89041433a031cafc0a0f19cfe573c31688d377

2020-08-05 09:47:04 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2020-08-05 09:47:04 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2020-08-05 09:47:05 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2020-08-05 09:47:06 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2020-08-05 09:47:06 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2020-08-05 09:47:07 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete